<?php

declare(strict_types=1);

it('can request OTP for a given cellphone', function () {
    $cellphone = '09353519036';

    $response = $this->postJson('/api/otp', [
        'cellphone' => $cellphone,
    ]);

    $response->assertStatus(201) // or the expected status code
        ->assertJsonStructure([
            'code',
            'cellphone',
            'expire_at',
        ]);
});
